package hdl

import (
	"applet/app/customer/md"
	"applet/app/customer/svc"
	"applet/app/db"
	"applet/app/db/model"
	"applet/app/e"
	"applet/app/utils"
	"github.com/gin-gonic/gin"
	"time"
)

func CentralKitchenForSchoolPackage(c *gin.Context) {
	enterpriseId := utils.StrToInt(c.DefaultQuery("enterprise_id", ""))

	//1、查询出当前合适的package
	var m []model.CentralKitchenForSchoolPackage
	now := time.Now().Format("2006-01-02 15:04:05")
	err := db.Db.Where("enterprise_id =?", enterpriseId).Where("end_date > ?", now).And("is_delete = 0").And("state = 1").Desc("end_date").Find(&m)
	if err != nil {
		e.OutErr(c, e.ERR_DB_ORM, err.Error())
		return
	}

	//2、循环拼接数据
	var resp []md.FindCentralKitchenForSchoolPackageReq
	for _, v := range m {
		centralKitchenForSchoolPackageWithDayDb := db.CentralKitchenForSchoolPackageWithDayDb{}
		centralKitchenForSchoolPackageWithDayDb.Set(v.Id)
		centralKitchenForSchoolPackageWithDay, err1 := centralKitchenForSchoolPackageWithDayDb.FindCentralKitchenForSchoolPackageWithDay()
		if err1 != nil {
			e.OutErr(c, e.ERR_DB_ORM, err1.Error())
			return
		}
		var tempResp = md.FindCentralKitchenForSchoolPackageReq{
			PackageId:    v.Id,
			EnterpriseId: v.EnterpriseId,
			Year:         v.Year,
			Month:        v.Month,
			StartDate:    v.StartDate,
			EndDate:      v.EndDate,
			DateList:     nil,
		}
		for _, v1 := range *centralKitchenForSchoolPackageWithDay {
			tempResp.DateList = append(tempResp.DateList, struct {
				Date            string `json:"date"`
				IsOpenBreakfast int32  `json:"is_open_breakfast"`
				IsOpenLunch     int32  `json:"is_open_lunch"`
				IsOpenDinner    int32  `json:"is_open_dinner"`
				IsOpenReplenish int32  `json:"is_open_replenish"`
			}{Date: v1.Date, IsOpenBreakfast: int32(v1.IsOpenBreakfast), IsOpenLunch: int32(v1.IsOpenLunch), IsOpenDinner: int32(v1.IsOpenDinner), IsOpenReplenish: int32(v1.IsOpenReplenish)})
		}
		resp = append(resp, tempResp)
	}

	//3、查询对应年级下餐标
	userIdentityId := c.DefaultQuery("user_identity_id", "")
	if userIdentityId != "" {
		err1, mealLabelListForBreakfast := svc.GetUserIdentityForGradeWithMealLabel(userIdentityId, 1) //获取早餐
		if err1 != nil {
			e.OutErr(c, e.ERR_DB_ORM, err1.Error())
			return
		}

		err1, mealLabelListForLunch := svc.GetUserIdentityForGradeWithMealLabel(userIdentityId, 2) //获取wu餐
		if err1 != nil {
			e.OutErr(c, e.ERR_DB_ORM, err1.Error())
			return
		}
		err1, mealLabelListForDinner := svc.GetUserIdentityForGradeWithMealLabel(userIdentityId, 3) //获取wu餐
		if err1 != nil {
			e.OutErr(c, e.ERR_DB_ORM, err1.Error())
			return
		}
		e.OutSuc(c, map[string]interface{}{
			"list":                             resp,
			"meal_label_list_for_break_fast":   mealLabelListForBreakfast,
			"meal_label_list_for_break_lunch":  mealLabelListForLunch,
			"meal_label_list_for_break_dinner": mealLabelListForDinner,
		}, nil)
		return
	}

	e.OutSuc(c, map[string]interface{}{
		"list": resp,
	}, nil)
	return
}
