package md

type BuyPackageReq struct {
	EnterpriseId            int   `json:"enterprise_id" binding:"required" label:"企业id"`
	UserIdentityId          int   `json:"user_identity_id" binding:"required" label:"用户身份id"`
	PackageId               int   `json:"package_id" label:"套餐ID"`
	PackageIds              []int `json:"package_ids" label:"套餐ID"`
	Kind                    int   `json:"kind" binding:"required" label:"购买类型(1:按学期购买 2:按月购买 3:按天购买 4:补餐)"`
	IsBuyByMealLabel        bool  `json:"is_buy_by_meal_label" label:"是否通过餐标购买"`
	IsBuyBreakfast          int   `json:"is_buy_breakfast" label:"是否购买早餐(1:是 2:否)"`
	MealLabelIdForBreakfast int   `json:"meal_label_id_for_breakfast" label:"早餐餐标id"`
	IsBuyLunch              int   `json:"is_buy_lunch" label:"是否购买午餐(1:是 2:否)"`
	MealLabelIdForLunch     int   `json:"meal_label_id_for_lunch" label:"午餐餐标id"`
	IsBuyDinner             int   `json:"is_buy_dinner" label:"是否购买晚餐(1:是 2:否)"`
	MealLabelIdForDinner    int   `json:"meal_label_id_for_dinner" label:"晚餐餐标id"`
	WithDays                []struct {
		Date           string `json:"date" label:"日期"`
		IsBuyBreakfast int    `json:"is_buy_breakfast" label:"是否购买早餐(1:是 2:否)"`
		IsBuyLunch     int    `json:"is_buy_lunch" label:"是否购买午餐(1:是 2:否)"`
		IsBuyDinner    int    `json:"is_buy_dinner" label:"是否购买晚餐(1:是 2:否)"`
	} `json:"with_days" label:"包含天数"`
}

type NursingHomeBuyPackageReq struct {
	EnterpriseId   int   `json:"enterprise_id" binding:"required" label:"企业id"`
	UserIdentityId int   `json:"user_identity_id" binding:"required" label:"用户身份id"`
	PackageId      int   `json:"package_id" label:"套餐ID"`
	PackageIds     []int `json:"package_ids" label:"套餐ID"`
	Kind           int   `json:"kind" binding:"required" label:"购买类型(1:按年购买 2:按月购买 3:按天购买 4:补餐)"`
	IsBuyBreakfast int   `json:"is_buy_breakfast" label:"是否购买早餐(1:是 2:否)"`
	IsBuyLunch     int   `json:"is_buy_lunch" label:"是否购买午餐(1:是 2:否)"`
	IsBuyDinner    int   `json:"is_buy_dinner" label:"是否购买晚餐(1:是 2:否)"`
	WithDays       []struct {
		Date           string `json:"date" label:"日期"`
		IsBuyBreakfast int    `json:"is_buy_breakfast" label:"是否购买早餐(1:是 2:否)"`
		IsBuyLunch     int    `json:"is_buy_lunch" label:"是否购买午餐(1:是 2:否)"`
		IsBuyDinner    int    `json:"is_buy_dinner" label:"是否购买晚餐(1:是 2:否)"`
	} `json:"with_days" label:"包含天数"`
}
