package enum

type SysCfg string

const (
	AppName                 = "app_name"
	OpenAlipayAppid         = "open_alipay_appid"
	OpenAlipayAesKey        = "open_alipay_aes_key"
	OpenAlipayAppPrivateKey = "open_alipay_app_private_key"
	OpenAlipayAppPublicKey  = "open_alipay_app_public_key"
	OpenAlipayPublicKey     = "open_alipay_public_key"
	OpenAppletAesKey        = "open_applet_aes_key"

	OpenAppletAppid         = "open_applet_appid"
	OpenAppletAppPrivateKey = "open_applet_app_private_key"
	OpenAppletAppPublicKey  = "open_applet_app_public_key"
	OpenAppletPublicKey     = "open_applet_public_key"

	FileBucketHost        = "file_bucket_host"
	FileBucketRegion      = "file_bucket_region"
	FileBucketScheme      = "file_bucket_scheme"
	FileExt               = "file_ext"
	FileSecretKey         = "file_secret_key"
	FileUserUploadMaxSize = "file_user_upload_max_size"
	FileAccessKey         = "file_access_key"
	FileBucket            = "file_bucket"

	AdministratorContactInfo                          = "administrator_contact_info"
	CentralKitchenForSchoolReserveMealTime            = "central_kitchen_for_school_reserve_meal_time"
	CentralKitchenForSchoolCancelMealTime             = "central_kitchen_for_school_cancel_meal_time"
	CentralKitchenForSchoolCancelMealTimeForBreakfast = "central_kitchen_for_school_cancel_meal_time_for_breakfast"
	CentralKitchenForSchoolCancelMealTimeForDinner    = "central_kitchen_for_school_cancel_meal_time_for_dinner"
	CentralKitchenForSchoolCancelMealTimeForLunch     = "central_kitchen_for_school_cancel_meal_time_for_lunch"
	NursingHomeReserveMealTime                        = "nursing_home_reserve_meal_time"
	NursingHomeCancelMealTime                         = "nursing_home_cancel_meal_time"
	JsapiPayAppAutToken                               = "jsapi_pay_app_auth_token"
	JsapiPayNotifyUrl                                 = "jsapi_pay_notify_url"
	WxAppletAppId                                     = "wx_applet_app_id"
	WxAppletAppSecret                                 = "wx_applet_app_secret"
	WxMchId                                           = "wx_mch_id"
	WxSpMchApiV3Key                                   = "wx_sp_mch_api_v3_key"
	WxSpMchCertificateSerialNumber                    = "wx_sp_mch_certificate_serial_number"
	WxSpAppId                                         = "wx_sp_app_id"
	WxSpMchId                                         = "wx_sp_mch_id"
	WxJsapiPayNotifyUrl                               = "wx_jsapi_pay_notify_url"
	WxJsapiRefundPayNotifyUrl                         = "wx_jsapi_refund_pay_notify_url"
)

func (gt SysCfg) String() string {
	switch gt {
	case AppName:
		return "项目名称"
	case OpenAlipayAesKey:
		return "支付宝开放平台-第三方应用-接口内容加密-aesKey"
	case OpenAlipayAppPrivateKey:
		return "支付宝开放平台-第三方应用-接口加签-应用私钥"
	case OpenAlipayAppPublicKey:
		return "支付宝开放平台-第三方应用-接口加签-应用公钥"
	case OpenAlipayPublicKey:
		return "支付宝开放平台-第三方应用-接口加签-支付宝公钥"
	case OpenAppletAesKey:
		return "支付宝开放平台-小程序-接口内容加密-aesKey"
	case OpenAppletAppPrivateKey:
		return "支付宝开放平台-小程序-接口加签-应用私钥"
	case OpenAppletAppPublicKey:
		return "支付宝开放平台-小程序-接口加签-应用公钥"
	case OpenAppletPublicKey:
		return "支付宝开放平台-小程序-接口加签-支付宝公钥"
	case OpenAlipayAppid:
		return "支付宝开放平台-第三方应用-appid"
	case OpenAppletAppid:
		return "支付宝开放平台-小程序-appid"
	case FileBucketHost:
		return "对象存储域名"
	case FileBucketRegion:
		return "文件所属区域"
	case FileExt:
		return "文件上传后缀,后台用户不限制后缀"
	case FileBucketScheme:
		return "文件上传模式"
	case FileSecretKey:
		return "对象存储SecretToken"
	case FileUserUploadMaxSize:
		return "用户单文件最大上传大小,byte"
	case FileAccessKey:
		return "对象存储AccessToken"
	case FileBucket:
		return "对象存储bucket"
	case AdministratorContactInfo:
		return "管理员联系方式"
	case CentralKitchenForSchoolReserveMealTime:
		return "央厨预定用餐时间"
	case CentralKitchenForSchoolCancelMealTime:
		return "央厨取消用餐时间"
	case CentralKitchenForSchoolCancelMealTimeForBreakfast:
		return "央厨取消用餐时间-早餐"
	case CentralKitchenForSchoolCancelMealTimeForLunch:
		return "央厨取消用餐时间-午餐"
	case CentralKitchenForSchoolCancelMealTimeForDinner:
		return "央厨取消用餐时间-晚餐"
	case NursingHomeReserveMealTime:
		return "养老院预定用餐时间"
	case NursingHomeCancelMealTime:
		return "养老院取消用餐时间"
	case JsapiPayAppAutToken:
		return "支付宝开放平台-jsapi支付-app_auth_token"
	case JsapiPayNotifyUrl:
		return "支付宝开放平台-jsapi支付-异步通知"
	case WxAppletAppId:
		return "微信-小程序-appid"
	case WxAppletAppSecret:
		return "微信-小程序-appSecret"
	case WxMchId:
		return "微信商户id"
	case WxSpMchApiV3Key:
		return "微信服务商-商户apiV3密钥"
	case WxSpMchCertificateSerialNumber:
		return "微信服务商-商户证书序列号"
	case WxSpAppId:
		return "微信服务商-appid"
	case WxSpMchId:
		return "微信服务商-商户id"
	case WxJsapiPayNotifyUrl:
		return "微信-jsapi支付-异步通知"
	case WxJsapiRefundPayNotifyUrl:
		return "微信-退款-异步通知"
	default:
		return "未知"
	}
}
